-- $Name: Коллекционер $
-- автор: Дударь Дмитрий, 2012
instead_version "1.3.1"
game.codepage="UTF-8";
--game.use = 'Не получается.';
game.forcedsk = true;
game.pl = 'pl1';

global {
qs1 = 0;
qs2 = 0;
q1 = 0;
q2 = 0;
q3 = 0;
q4 = 0;
i = 0;
j = 0;
}

st1 = menu {
	nam = [[Коля]];
	menu = function()	
	if qs1 == 0 then p[[Надо попить воды и успокоиться.]];end;
	if qs1 == 1 then p[[Я должен постараться заснуть.]];end;
	if qs1 == 2 then p[[Я должен проверить, что происходит в подъезде.]];end;
	
	end;
};
st2 = menu {
	nam = [[Сергей]]; 
};
pl1 = player {
	nam = "boy",
	where = 'main',
	obj = {}
};

pl2 = player {
	nam = "man",
	where = 'main',
	obj = {}
};


main = room{
    pic = 'data/1.jpg',
	nam = "- - - - - - - - - - - -";
	obj = {vway("a1", [[Темная ночь. Коля спит. Он хороший мальчик. 
	Завтра утром приезжает мама. А пока он совсем {один}.]], 'loc1')
	};
		enter = function()	    
		set_music('data/1.ogg');
	end,
};
loc1 = room{
    pic = 'data/2.jpg',
	nam = "К О Л Л Е К Ц И О Н Е Р";
	obj = {vway("a1", [[Коле часто снятся {кошмары}.]], 'loc2')
	};
};
loc2 = room{
    pic = 'data/1.jpg',
	nam = "- - - - - - - - - - - -";
	obj = {vway("a1", [[Но время {просыпаться}.]], 'loc3')
	};

};
TV1 = obj{
     nam = 'телевизор';
     dsc = 'На тумбочке стоит {телевизор}.';
     act = function()
     if (q1 == 4) or (q1 == 5) then p[[По экрану бегут помехи.]]
                               else p[[Он выключен.]] end;
     end;
     used = function(s,w)
     if w == pult then q1 = 6; objs():add('pult',2);inv():del('pult');
                       p[[Коля выключил телевизор.]]; end;
     end;
};
bed = obj{
     nam = 'кровать';
     dsc = 'Рядом находится {кровать}.';
     act = function()
     if q1 == 1 then p[[Не хочу пока ложиться.]]; end;
     if (q1 == 4) or (q1 == 5) then p[[Я так не усну.]]; end;
     if q1 == 6 then goto('loc7');end;   
     if q1 >= 7 then p[[Теперь мне не до сна.]]; end;
     end;
     
};
pult = obj{
     nam = 'пульт';
     dsc = function()
     if q1 == 4 then p[[На ковре лежит {пульт}.]];
                else p[[На столе лежит {пульт}.]];end;
     end;
     act = function()
     if q1 == 4 then q1 = 5; p[[Дрожащей рукой Коля взял пульт.]];
                inv():add('pult'); objs():del('pult');
                else p[[Сейчас нечего смотреть.]] end;
     end;
     inv = 'Пульт от телевизора. Как он оказался на ковре?';
};
loc3 = room{
    pic = function()
    if q1 == 4 then return('data/3_1.jpg')
               else if q1 == 5 then return('data/3_2.jpg') 
                               else return('data/3.jpg') end;end;
    end;
	nam = "Комната";
	obj = {TV1,pult,bed,
	vway("a1", [[Дверь ведёт {в прихожую}.]], 'loc4')
	};
	enter = function()
	    if q1 == 0 then
	    inv():add('st1');
	    p[[Коля проснулся посреди ночи. ^Странный сон ему приснился...]];
	    q1 = 1;
	               end;
	    if q1 == 3 then q1 = 4; p[["Кто мог включить телевизор?" - испуганно подумал Коля.]];
	   end;           

	end,
};
zamok = obj{
     nam = 'замок';
     dsc = 'Входная {дверь} закрыта на замок.';
     act = function()
     if q1 > 7 then p[[Быстрее! Я должен открыть дверь!]]
     else goto('loc5');end; 
     end;
     used = function(s,w)
     if w == key then p[[Коля попытался открыть дверь, 
     ^но cтранная сила не дала ему повернуть ключ в замке.]]; q1 = 9; end;
     if w == key1 then inv():del('key1'); inv():del('brelok'); goto('loc8'); end;
     end;
};
key1 = obj{
     nam = 'ключ';
     inv = 'Это ключ от входной двери.';
};
brelok = obj{
     nam = 'брелок';
     inv = 'Брелок в форме сердца. Подарок мамы на день рожденья.';
};
key = obj{
     nam = 'ключ с брелком';
     dsc = 'На тумбочке лежит {ключ}.';
     act = function()
     if q1 < 7  then p[[Ночью опасно выходить из квартиры.]];end;
     if q1 == 7  then p[[Сначала надо посмотреть в глазок.]];end;
     if q1 == 8  then p[[Коля взял ключ.]]; 
                objs():del('key'); inv():add('key'); end;
     end;
     inv = function()
     if q1 == 8 then p[[К ключу прицеплен брелок в виде сердца.]]; end;
     if q1 == 9 then p[[Коля снял с ключа брелок.]]; 
     inv():del('key'); inv():add('key1');inv():add('brelok');end;
     end;
};
loc4 = room{
    pic = function()
    if (have('key')) or (have('key1')) then return('data/4_1.jpg')
                                       else return('data/4.jpg'); end; 
    end;
	nam = "Прихожая";
	obj = {zamok,key,
	vway("a1", [[^Левая дверь ведёт {в комнату}, ]], 'loc3');
	vway("a2", [[правая - {на кухню}.]], 'loc6')
	};
	enter = function()
		if q1 == 3 then if q4 == 0 then q4 = 1; 
		p[[Из комнаты раздался странный шум. Коля вздрогнул.]]; 
		end; end;
	end,
};
loc5 = room{
    pic = function()
    if q1 < 7 then return('data/5.jpg')
              else return('data/5_1.jpg'); end;
    end;
	nam = "Глазок";
	obj = {
	vway("a1", [[Вернуться {назад}.]], 'loc4')
	};
	enter = function()
		
	if q1 == 7 then q1 = 8; p[[Не может быть... Муся... Муся!]];end;
	end,
	left = function()
	if q1 == 8 then p[[Муся... только не пропадай... я сейчас открою!]];end;
	end;
};
china = obj{
      nam = 'чайник';
      dsc = '^На плите стоит {чайник}.';
      act = 'Он наполнен водой.';
      used = function(s,w)
      if w == stakan then inv():del('stakan'); inv():add('stakan1');
        p[[Коля налил из чайника холодной воды.]]; end;
      end;
};
stakan = obj{
      nam = 'стакан';
      dsc = '^На столе возле умывальника стоит {стакан}.';
      act = function()
      if qs1 == 0 then
      p[[Коля взял стакан.]];
      objs():del('stakan');
      inv():add('stakan');
      q1 = 2; else p[[Я уже попил воды.]];end;
      end;
      inv = 'В него можно набрать воды.';
};
stakan1 = obj{
      nam = 'стакан с водой';
      inv = function()
      qs1 = 1;q1 = 3;objs():add('stakan',1);
      inv():del('stakan1');p[[Хорошая водичка. Теперь можно спать спокойно. ]];
      end;
};
loc6 = room{
    pic = function()
    if q1 == 2 then return('data/6_1.jpg') 
              else return('data/6.jpg'); end;   
    end;
	nam = "Кухня";
	obj = {stakan,china,
	vway("a1", [[Дверь ведет в {прихожую}.]], 'loc4'),
	};
	enter = function()
		
	end,
	exit = function()
	if have('stakan') or have('stakan1') then p[[Куда я пойду со стаканом?]];return(false);end;
	end;
};
loc7 = room{
    pic = 'data/1.jpg'; 
	nam = "- - - - - - - - - - - -";
	obj = {vway("a1", [[Коля лёг в кровать и закрыл глаза, пытаясь заснуть.
	 Но странный и знакомый звук не давал ему покоя. В подъезде мяукала {кошка}.]], 'loc4'),
	};
	enter = function()
	 set_music('data/2.ogg'); 	 inv():del('st1');
	end,
	left = function() qs1 = 2;
	q1 = 7; inv():add('st1');p[[У Коли ёкнуло сердце. Он вскочил с постели и помчался в прихожую.]];
    end;
};
loc8 = room{
    pic = 'data/7.jpg'; 
	nam = "- - - - - - - - - - - -";
	obj = {vway("a1", [[Коля открыл дверь и выбежал в подъезд. 
	Голос Муси раздался этажом выше. Коля побежал по ступенькам {вверх}.]], 'loc9'),
	};
	enter = function()
		 inv():del('st1');
	end,
};
loc9 = room{
    pic = 'data/7_1.jpg'; 
	nam = "- - - - - - - - - - - -";
	obj = {vway("a1", [[Двери лифта на третьем этаже оказались открыты. 
	За ними чернела тьма. Из шахты лифта доносилось мяуканье.
	^- Муся... ты там? Не волнуйся, я вытащу тебя, {слышишь}! ]], 'loc10'),
	};
	enter = function()
		 inv():del('st1');
	end,
};
loc10 = room{
    pic = 'data/7_2.jpg'; 
	nam = "К О Л Л Е К Ц И О Н Е Р";
	obj = {vway("a1", [[Но вместо ответа Коля услышал шаги за спиной. 
	Он оцепенел от ужаса, не в силах обернуться. Его ноги подкосились, и, 
	теряя равновесие, Коля полетел в зияющую пасть {тьмы}.]], 'loc11'),
	};
	enter = function()
		 inv():del('st1');
	end,
};
loc11 = room{
    pic = 'data/3_1.jpg'; 
	nam = "- - - - - - - - - - - -";
	obj = {vway("a1", [[В комнате Коли снова включился {телевизор}.]], 'loc12'),
	};
	enter = function()
		
	end,
};
w1 = menu{
      nam = 'каждый';
      menu = function()
      if i == 0 then i = i+1; inv():add('w2');goto('loc12'); end;
      if i == 7 then i = i+1; inv():add('w2');goto('loc12'); end;
      end;
};
w2 = menu{
      nam = 'охотник';
      menu = function()
      if i == 1 then i = i+1; inv():add('w3');goto('loc12'); end;
      if i == 8 then i = i+1; inv():add('w3');goto('loc12'); end;
      end;
};
w3 = menu{
      nam = 'желает';
      menu = function()
      if i == 2 then i = i+1; inv():add('w4');goto('loc12'); end;
      if i == 9 then i = i+1; inv():add('w4');goto('loc12'); end;
      end;
};
w4 = menu{
      nam = 'знать';
      menu = function()
      if i == 3 then i = i+1; inv():add('w5');goto('loc12'); end;
      if i == 10 then i = i+1; inv():add('w5');goto('loc12'); end;
      end;
};
w5 = menu{
      nam = 'где';
      menu = function()
      if i == 4 then i = i+1; inv():add('w6');goto('loc12'); end;
      if i == 11 then i = i+1; inv():add('w6');goto('loc12'); end;
      end;
};
w6 = menu{
      nam = 'сидит';
     menu = function()
      if i == 5 then i = i+1; inv():add('w7');goto('loc12'); end;
      if i == 12 then i = i+1; inv():add('w7');goto('loc12'); end;
      end;
};
w7 = menu{
      nam = 'фазан';
      menu = function()
      if i == 6 then i = i+1; goto('loc12'); 
      inv():del('w2');inv():del('w3');inv():del('w4');inv():del('w5');
      inv():del('w6');inv():del('w7'); end;
      if i == 13 then goto('loc13');inv():del('w1'); 
      inv():del('w2');inv():del('w3');inv():del('w4');inv():del('w5');
      inv():del('w6');inv():del('w7'); end;
      end;
};
loc12 = room{
    pic = function()
    if i == 0 then return('data/R1.jpg');end; 
    if i == 1 then return('data/R2.jpg');end;   
    if i == 2 then return('data/R3.jpg');end;
    if i == 3 then return('data/R4.jpg');end;
    if i == 4 then return('data/R5.jpg');end;
    if i == 5 then return('data/R6.jpg');end;
    if i == 6 then return('data/R7.jpg');end;
    
    if i == 7 then return('data/R1.jpg');end;
    if i == 8 then return('data/R2.jpg');end;
    if i == 9 then return('data/R3.jpg');end;
    if i == 10 then return('data/R4.jpg');end;
    if i == 11 then return('data/R5.jpg');end;
    if i == 12 then return('data/R6.jpg');end;
    if i == 13 then return('data/R7.jpg');end;
    end; 
	nam = "- - - - - - - - - - - -";
	dsc = function()
   if i == 0 then p[[
	- Что происходит?
   ^- Там кто-то есть.
   ^- Я оставил его на кухне.]]; end;
   if i == 1 then p[[
	- Куда ты положил нож?
   ^- Да, это было в апреле.
   ^- Посмотри в глазок.]]; end;
   if i == 2 then p[[
	- Хороший мальчик.
   ^- Там слишком темно.
   ^- Когда она пропала?]]; end;
   if i == 3 then p[[
	- Они нашли брелок возле лифта.
   ^- Причём здесь радуга?
   ^- Думаю, да.]]; end;
   if i == 4 then p[[
	- Соседи что-то скрывают?
   ^- Чердак был открыт.
   ^- Откуда иглы в подъезде?]]; end;
   if i == 5 then p[[
	- Похоже, лифт связан с ритуалом.
   ^- Повесился наркоман.
   ^- Кошка или мама? Кто?]]; end;
   if i == 6 then p[[
	- Он красил их балончиком.
   ^- Коллекционер исчез.
   ^- Почему он отцепил брелок?]]; end;
    if i == 7 then p[[
	- Во все цвета радуги.
   ^- У него был ритуальный нож.
   ^- Семь кошек в шахте?]]; end;
    if i == 8 then p[[
	- Мы должны вытащить его.
   ^- Следователь уже приходил?
   ^- Это новая форма гиноза.]]; end;
	if i == 9 then p[[
	- Почему всё повторяется?
   ^- Мама снова плачет.
   ^- Он называл её Мусей.]]; end;
	if i == 10 then p[[
	- Он не здесь? Где же тогда?
   ^- Надо разомкнуть цепь.
   ^- Брелок - это щит.]]; end;
	if i == 11 then p[[
	- Где же выход?
   ^- Следователь показался странным.
   ^- Они охотятся за колекционером?]]; end;
   if i == 12 then p[[
	- Надо вынуть из пульта батарейки.
   ^- Всё это часть плана?
   ^- Лабиринт скоро обрушится.]]; end;
   if i == 13 then p[[
	- Назовите цену.
   ^- Просто растворить в стакане с водой?
   ^- Три, два, один...]]; end;
	end;
   
    
	enter = function()
	set_music('data/3.ogg'); set_sound('data/x.ogg'); inv():add('w1');	
	end,
};
loc13 = room{
    pic = 'data/R8.jpg'; 
	nam = "- Р - А - Д - У - Г - А -";
	obj = {vway("a1", [[
	- Он Луч. 
	^- Мы Призма.
	^- {Радуга Жизни!}]], 'loc14'),
	};
	enter = function()
		
	end,
};
nick = obj{
   nam = 'Коля';
   dsc = 'В кровати лежит тело {мальчика}.';
   act = 'Сон... реальность... надежда...';
   used = function(s,w)
   if w == brelok then inv():del('brelok'); goto('loc15'); end;
   end;
};

loc14 = room{
    pic = 'data/Final.jpg'; 
	nam = "- - - - - - - - - - - -";
obj = {nick};
	enter = function()	    
		set_music('data/4.ogg');inv():add('brelok');	
	end,
};

loc15 = room{
    pic = 'data/R9.jpg'; 
	nam = "- К - О - Н - Е - Ц - ";
	dsc = [[- Раздался звонок. Коля побежал открывать дверь. 
	^- На пороге стояла мама. Коля крепко обнял и поцеловал её.
	^- Теперь сделка завершена. Коллекция развеяна по ветру...]];
  
};
